Repeating plan preview
GET
/loadpoints/{id}/plan/repeating/preview/{soc}/{weekdays}/{hourMinuteTime}/{timezone}
const url = 'https://demo.evcc.io/api/loadpoints/1/plan/repeating/preview/60/1,3,4/12%3A30/Europe%2FBerlin';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://demo.evcc.io/api/loadpoints/1/plan/repeating/preview/60/1,3,4/12%3A30/Europe%2FBerlin'Simulate repeating charging plan and return the result. Does not alter the actual charging plan.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
Loadpoint index starting at 1.
integer
Example
1Loadpoint index starting at 1
soc
required
SOC in %
number
Example
60SOC in %
weekdays
required
The Weekdays
Array<integer>
Example
[ 1, 3, 4]The Weekdays
hourMinuteTime
required
Time in HH:MM format
string format: HH:MM
Example
12:30Time in HOURS:MINUTES format
timezone
required
Responses
Section titled “ Responses ”Success - PlanRates result
Media typeapplication/json
object
duration
Duration in s
integer
plan
Array<object>
A time slot with an associated price or emission value.
object
start
required
Start of the time slot.
string format: date-time
end
required
End of the time slot.
string format: date-time
value
required
Price per kWh in the configured currency or emissions in g/kWh.
number
planTime
Timestamp in RFC3339 format
string format: date-time
power
Power in W
number
Example
{ "power": 2500}